# -*- coding: utf-8 -*-

"""
MIT License

Copyright (c) 2021 plun1331

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
"""


class Items:
    r"""A class containing all the Hypixel SkyBlock Item IDs."""
    ids = {"BROWN_MUSHROOM": "Brown Mushroom",
           "INK_SACK:3": "Coco Beans",
           "INK_SACK:4": "Lapis Lazuli",
           "TARANTULA_WEB": "Tarantula Web",
           "CARROT_ITEM": "Carrot",
           "ENCHANTED_POTATO": "Enchanted Potato",
           "ENCHANTED_SLIME_BALL": "Enchanted Slimeball",
           "ENCHANTED_RED_MUSHROOM": "Enchanted Red Mushroom",
           "ENCHANTED_GOLDEN_CARROT": "Enchanted Golden Carrot",
           "ENCHANTED_RABBIT_HIDE": "Enchanted Rabbit Hide",
           "ENCHANTED_BIRCH_LOG": "Enchanted Birch Wood",
           "ENCHANTED_GUNPOWDER": "Enchanted Gunpowder",
           "ENCHANTED_MELON": "Enchanted Melon",
           "ENCHANTED_SUGAR": "Enchanted Sugar",
           "CACTUS": "Cactus",
           "ENCHANTED_BLAZE_ROD": "Enchanted Blaze Rod",
           "ENCHANTED_CAKE": "Enchanted Cake",
           "PUMPKIN": "Pumpkin",
           "ENCHANTED_BROWN_MUSHROOM": "Enchanted Brown Mushroom",
           "WHEAT": "Wheat",
           "ENCHANTED_RAW_SALMON": "Enchanted Raw Salmon",
           "ENCHANTED_GLISTERING_MELON": "Enchanted Glistering Melon",
           "PRISMARINE_SHARD": "Prismarine Shard",
           "PROTECTOR_FRAGMENT": "Protector Dragon Fragment",
           "ENCHANTED_EMERALD": "Enchanted Emerald",
           "ENCHANTED_SPIDER_EYE": "Enchanted Spider Eye",
           "RED_MUSHROOM": "Red Mushroom",
           "MUTTON": "Mutton",
           "ENCHANTED_MELON_BLOCK": "Enchanted Melon Block",
           "DIAMOND": "Diamond",
           "WISE_FRAGMENT": "Wise Dragon Fragment",
           "COBBLESTONE": "Cobblestone",
           "RAW_FISH": "Raw Fish",
           "SPIDER_EYE": "Spider Eye",
           "ENCHANTED_PUFFERFISH": "Enchanted Pufferfish",
           "POTATO_ITEM": "Potato",
           "ENCHANTED_HUGE_MUSHROOM_1": "Enchanted Brown Mushroom Block",
           "ENCHANTED_COBBLESTONE": "Enchanted Cobblestone",
           "ENCHANTED_HUGE_MUSHROOM_2": "Enchanted Red Mushroom Block",
           "PORK": "Pork",
           "PRISMARINE_CRYSTALS": "Prismarine Crystal",
           "ICE": "Ice",
           "HUGE_MUSHROOM_1": "Brown Mushroom Block",
           "ICE_BAIT": "Ice Bait",
           "HUGE_MUSHROOM_2": "Red Mushroom Block",
           "LOG_2:1": "Dark Oak Wood",
           "ENCHANTED_SNOW_BLOCK": "Enchanted Snow Block",
           "GOLDEN_TOOTH": "Golden Tooth",
           "STRING": "String",
           "RABBIT_FOOT": "Rabbit's Foot",
           "REDSTONE": "Redstone",
           "ENCHANTED_CACTUS_GREEN": "Enchanted Cactus Green",
           "ENCHANTED_CARROT_ON_A_STICK": "Enchanted Carrot on a Stick",
           "ENCHANTED_LAPIS_LAZULI_BLOCK": "Enchanted Lapis Block",
           "ENCHANTED_ENDSTONE": "Enchanted End Stone",
           "ENCHANTED_COOKIE": "Enchanted Cookie",
           "ENCHANTED_SAND": "Enchanted Sand",
           "ENCHANTED_STRING": "Enchanted String",
           "STRONG_FRAGMENT": "Strong Dragon Fragment",
           "SLIME_BALL": "Slime Ball",
           "HOLY_FRAGMENT": "Holy Dragon Fragment",
           "SNOW_BALL": "Snowball",
           "ENCHANTED_ACACIA_LOG": "Enchanted Acacia Wood",
           "ENCHANTED_EGG": "Enchanted Egg",
           "SAND": "Sand",
           "RAW_CHICKEN": "Raw Chicken",
           "ENCHANTED_LAPIS_LAZULI": "Enchanted Lapis Lazuli",
           "ENCHANTED_GHAST_TEAR": "Enchanted Ghast Tear",
           "ENCHANTED_COCOA": "Enchanted Cocoa Bean",
           "CARROT_BAIT": "Carrot Bait",
           "SEEDS": "Seeds",
           "ENCHANTED_LEATHER": "Enchanted Leather",
           "ENCHANTED_SPONGE": "Enchanted Sponge",
           "HAY_BLOCK": "Hay Bale",
           "INK_SACK": "Ink Sack",
           "FLINT": "Flint",
           "ENCHANTED_ROTTEN_FLESH": "Enchanted Rotten Flesh",
           "ENCHANTED_SPRUCE_LOG": "Enchanted Spruce Wood",
           "WOLF_TOOTH": "Wolf Tooth",
           "ENCHANTED_GRILLED_PORK": "Enchanted Grilled Pork",
           "ENCHANTED_NETHER_STALK": "Enchanted Nether Wart",
           "ENCHANTED_REDSTONE_BLOCK": "Enchanted Redstone Block",
           "ENCHANTED_QUARTZ_BLOCK": "Enchanted Quartz Block",
           "GREEN_CANDY": "Green Candy",
           "ENCHANTED_REDSTONE": "Enchanted Redstone",
           "ENCHANTED_REDSTONE_LAMP": "Enchanted Redstone Lamp",
           "GRAVEL": "Gravel",
           "MELON": "Melon",
           "ENCHANTED_LAVA_BUCKET": "Enchanted Lava Bucket",
           "ENCHANTED_PACKED_ICE": "Enchanted Packed Ice",
           "RAW_FISH:3": "Pufferfish",
           "ENCHANTED_PRISMARINE_SHARD": "Enchanted Prismarine Shard",
           "ENCHANTED_CARROT_STICK": "Enchanted Carrot on a Stick",
           "ENCHANTED_IRON_BLOCK": "Enchanted Iron Block",
           "RECOMBOBULATOR_3000": "Recombobulator 3000",
           "BONE": "Bone",
           "RAW_FISH:2": "Clownfish",
           "RAW_FISH:1": "Salmon",
           "REVENANT_FLESH": "Revenant Flesh",
           "ENCHANTED_PORK": "Enchanted Pork",
           "ENCHANTED_GLOWSTONE": "Enchanted Glowstone",
           "FEATHER": "Feather",
           "NETHERRACK": "Netherrack",
           "WHALE_BAIT": "Whale Bait",
           "SPONGE": "Sponge",
           "BLAZE_ROD": "Blaze Rod",
           "ENCHANTED_DARK_OAK_LOG": "Enchanted Dark Oak Wood",
           "YOUNG_FRAGMENT": "Young Dragon Fragment",
           "ENCHANTED_CLOWNFISH": "Enchanted Clownfish",
           "ENCHANTED_GOLD": "Enchanted Gold",
           "ENCHANTED_RAW_CHICKEN": "Enchanted Raw Chicken",
           "ENCHANTED_WATER_LILY": "Enchanted Lily Pad",
           "LOG:1": "Spruce Wood",
           "CATALYST": "Catalyst",
           "LOG:3": "Jungle Wood",
           "LOG:2": "Birch Wood",
           "BLESSED_BAIT": "Blessed Bait",
           "ENCHANTED_GLOWSTONE_DUST": "Enchanted Glowstone Dust",
           "ENCHANTED_INK_SACK": "Enchanted Ink Sack",
           "ENCHANTED_CACTUS": "Enchanted Cactus",
           "ENCHANTED_SUGAR_CANE": "Enchanted Sugar Cane",
           "ENCHANTED_COOKED_SALMON": "Enchanted Cooked Salmon",
           "ENCHANTED_SEEDS": "Enchanted Seeds",
           "LOG": "Oak Wood",
           "ENCHANTED_BONE_BLOCK": "Enchanted Boneblock",
           "GHAST_TEAR": "Ghast Tear",
           "ENCHANTED_ENDER_PEARL": "Enchanted Ender Pearl",
           "UNSTABLE_FRAGMENT": "Unstable Fragment",
           "PURPLE_CANDY": "Purple Candy",
           "ENCHANTED_FERMENTED_SPIDER_EYE": "Enchanted Fermented Spider Eye",
           "SPIKED_BAIT": "Spiked Bait",
           "ENCHANTED_GOLD_BLOCK": "Enchanted Gold Block",
           "ENCHANTED_JUNGLE_LOG": "Enchanted Jungle Log",
           "ENCHANTED_FLINT": "Enchanted Flint",
           "IRON_INGOT": "Iron Ingot",
           "ENCHANTED_EMERALD_BLOCK": "Enchanted Emerald Block",
           "ENCHANTED_CLAY_BALL": "Enchanted Clay",
           "GLOWSTONE_DUST": "Glowstone Dust",
           "GOLD_INGOT": "Gold Ingot",
           "REVENANT_VISCERA": "Revenant Viscera",
           "TARANTULA_SILK": "Tarantula Silk",
           "ENCHANTED_MUTTON": "Enchanted Mutton",
           "ENCHANTED_IRON": "Enchanted Iron",
           "SUPER_EGG": "Super Enchanted Egg",
           "SUPER_COMPACTOR_3000": "Super Compactor 3000",
           "STOCK_OF_STONKS": "Stock of Stonks",
           "ENCHANTED_HAY_BLOCK": "Enchanted Hay Bale",
           "ENCHANTED_BONE": "Enchanted Bone",
           "ENCHANTED_PAPER": "Enchanted Paper",
           "ENCHANTED_DIAMOND_BLOCK": "Enchanted Diamond Block",
           "SPOOKY_BAIT": "Spooky Bait",
           "SUPERIOR_FRAGMENT": "Superior Dragon Fragment",
           "EMERALD": "Emerald",
           "ENCHANTED_RABBIT_FOOT": "Enchanted Rabbit Foot",
           "LIGHT_BAIT": "Light Bait",
           "HOT_POTATO_BOOK": "Hot Potato Book",
           "ENCHANTED_ICE": "Enchanted Ice",
           "CLAY_BALL": "Clay",
           "OLD_FRAGMENT": "Old Dragon Fragment",
           "GREEN_GIFT": "Green Gift",
           "PACKED_ICE": "Packed Ice",
           "WATER_LILY": "Water Lily",
           "LOG_2": "Acacia Wood",
           "HAMSTER_WHEEL": "Hamster Wheel",
           "ENCHANTED_OBSIDIAN": "Enchanted Obsidian",
           "ENCHANTED_COAL": "Enchanted Coal",
           "COAL": "Coal",
           "ENCHANTED_QUARTZ": "Enchanted Quartz",
           "ENCHANTED_COAL_BLOCK": "Enchanted Coal Block",
           "ENDER_PEARL": "Ender Pearl",
           "ENCHANTED_PRISMARINE_CRYSTALS": "Enchanted Prismarine Crystal",
           "ENCHANTED_WET_SPONGE": "Enchanted Wet Sponge",
           "ENDER_STONE": "End Stone",
           "ENCHANTED_RAW_FISH": "Enchanted Raw Fish",
           "QUARTZ": "Quartz",
           "FOUL_FLESH": "Foul Flesh",
           "RAW_BEEF": "Raw Beef",
           "ENCHANTED_EYE_OF_ENDER": "Enchanted Eye of Ender",
           "SUGAR_CANE": "Sugar Cane",
           "MAGMA_CREAM": "Magma Cream",
           "RED_GIFT": "Red Gift",
           "ENCHANTED_RAW_BEEF": "Enchanted Raw Beef",
           "ENCHANTED_FEATHER": "Enchanted Feather",
           "ENCHANTED_SLIME_BLOCK": "Enchanted Slime Block",
           "ENCHANTED_OAK_LOG": "Enchanted Oak Wood",
           "RABBIT_HIDE": "Rabbit Hide",
           "WHITE_GIFT": "White Gift",
           "NETHER_STALK": "Nether Wart",
           "RABBIT": "Raw Rabbit",
           "SULPHUR": "Gunpowder",
           "DARK_BAIT": "Dark Bait",
           "ENCHANTED_CARROT": "Enchanted Carrot",
           "ENCHANTED_PUMPKIN": "Enchanted Pumpkin",
           "ROTTEN_FLESH": "Rotten Flesh",
           "ENCHANTED_COOKED_FISH": "Enchanted Cooked Fish",
           "OBSIDIAN": "Obisidian",
           "MINNOW_BAIT": "Minnow Bait",
           "ENCHANTED_MAGMA_CREAM": "Enchanted Magma Cream",
           "ENCHANTED_FIREWORK_ROCKET": "Enchanted Firework Rocket",
           "LEATHER": "Leather",
           "ENCHANTED_COOKED_MUTTON": "Enchanted Cooked Mutton",
           "ENCHANTED_RABBIT": "Enchanted Raw Rabbit",
           "ENCHANTED_BREAD": "Enchanted Bread",
           "FUMING_POTATO_BOOK": "Fuming Potato Book",
           "ENCHANTED_CHARCOAL": "Enchanted Charcoal",
           "ENCHANTED_BLAZE_POWDER": "Enchanted Blaze Powder",
           "SUMMONING_EYE": "Summoning Eye",
           "FISH_BAIT": "Fish Bait",
           "SNOW_BLOCK": "Snow Block",
           "ENCHANTED_BAKED_POTATO": "Enchanted Baked Potato",
           "COMPACTOR": "Compactor",
           "ENCHANTED_DIAMOND": "Enchanted Diamond"}
